<?php

class m121014_171501_tbl_candidatos_titulaciones extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_candidatos_titulaciones', array(
            'id' => 'pk',
            'candidato_id' => 'integer NOT NULL',
            'titulacion' => 'string NOT NULL',
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->addForeignKey('fk_candidatos_titulaciones_1', 'tbl_candidatos_titulaciones', 'candidato_id', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
    }

    public function safeDown() {
        $this->dropForeignKey('fk_candidatos_titulaciones_1', 'tbl_candidatos_titulaciones');
        $this->dropTable('tbl_candidatos_titulaciones');
    }

}

?>